Bug 198506 - [PATCH] irc/ircd-ratbox Make EGD conditional/fix LibreSSL build
Summary: [PATCH] irc/ircd-ratbox Make EGD conditional/fix LibreSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernard Spil
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-10 20:09 UTC by Bernard Spil
Modified: 2016-02-15 10:54 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (moggie)


Attachments
svn diff for irc/ircd-ratbox (4.11 KB, patch)
2015-03-10 20:09 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-10 20:09:06 UTC
Created attachment 154164 [details]
svn diff for irc/ircd-ratbox

irc/ircd-ratbox unconditionally relies on RAND_egd which makes building fail with LibreSSL which has removed EGD.

FreeBSD does not require EGD at all, /dev/random has been available since FreeBSD 4.2
Comment 1 Brad Davis freebsd_committer 2015-03-13 10:45:53 UTC
Did you also submit this upstream?
Comment 2 Bernard Spil freebsd_committer 2015-03-13 10:50:42 UTC
Mailed upstream, see https://wiki.freebsd.org/LibreSSL
Couldn't find anything but ircd-ratbox@lists.ratbox.org to report to. Do you have any other means of informing upstream?
Comment 3 moggie 2015-03-13 18:58:42 UTC
Hi, I have informed upstream. The correction has been committed and will be available in the next release of ircd-ratbox.
Comment 4 Mark Felder freebsd_committer 2015-03-31 14:47:45 UTC
(In reply to moggie from comment #3)

are you OK with the port being patched while we wait for the upstream release? Do you know how often they do releases?
Comment 5 Bernard Spil freebsd_committer 2015-03-31 18:52:10 UTC
"Not that often" I'd say

3.0.8 - 04 Jan 2013 12:29:47
3.0.7 - 15 Apr 2012 10:52:14
2.2.9 - 28 Jan 2010 21:29:16
2.2.8 - 19 Jan 2008 07:00:27
2.2.6 - 28 Sep 2007 01:03:40
Comment 6 Mark Felder freebsd_committer 2015-04-30 15:47:40 UTC
your patch for configure adds a stray newline in a location you didn't end up editing, but I can fix that.
Comment 7 commit-hook freebsd_committer 2015-05-01 00:04:15 UTC
A commit references this bug:

Author: feld
Date: Fri May  1 00:03:29 UTC 2015
New revision: 385077
URL: https://svnweb.freebsd.org/changeset/ports/385077

Log:
  Support building with LibreSSL
  Fully strip binaries unless DEBUG enabled
  Create /var dirs in rc script start_precmd instead of in package
  Make rc script pass rclint

  Upstream has accepted the LibreSSL patches but their releases are far
  apart, so patching in ports tree for now.

  PR:		198506

Changes:
  head/irc/ircd-ratbox/Makefile
  head/irc/ircd-ratbox/files/ircd-ratbox.in
  head/irc/ircd-ratbox/files/patch-configure
  head/irc/ircd-ratbox/files/patch-configure.ac
  head/irc/ircd-ratbox/files/patch-libratbox_src_openssl.c
Comment 8 moggie 2015-06-03 19:51:22 UTC
(In reply to Mark Felder from comment #4)

Andro is still working through cleaning up code, it may be a little while before the next release. Committing the patch in the meantime is probably a good idea. Thanks!
Comment 9 Bernard Spil freebsd_committer 2015-06-03 19:57:01 UTC
Hi Moggie,

The patch already needs updating :D LibreSSL now has a define OPENSSL_NO_EGD in line with other disabled features (e.g. OPENSSL_NO_COMP). This removes the requirement for autoconf additions for EGD... Will try and revisit/upstream patch!
Comment 10 Mark Felder freebsd_committer 2015-06-17 13:37:31 UTC
Assigning to Bernard as he is familiar with what needs to happen here.
Comment 11 moggie 2015-07-14 16:00:23 UTC
I've checked with upstream. They are doing a lot of code tidying, it's going to be a little while before they are ready to put out a release. Apparently the RAND_egd issue shouldn't be hard to patch, I'll see if I can action it this week/weekend.
Comment 12 Bernard Spil freebsd_committer 2015-10-24 10:35:15 UTC
Hi Moggie,

Any progress on this PR? Can I help in any way?

Thanks!

Bernard.
Comment 13 Bernard Spil freebsd_committer 2016-02-15 10:54:08 UTC
Commit-hook failed to close this one. Change is part of

https://svnweb.freebsd.org/changeset/ports/385077